%define lib_name %mklibname %{name}- %{api_version} %{lib_major}
%define devel_name %mklibname -d %{name} 
%define lib_major 0
%define api_version 1

Summary: C library for programming with the Jabber protocol
Name: loudmouth
Version: 1.5.3
Release: %mkrel 1
License: LGPLv2+
Group: System/Libraries
URL: https://github.com/mcabber/loudmouth/
Source0: https://mcabber.com/files/loudmouth/loudmouth-%{version}.tar.bz2

BuildRequires: glib2-devel
BuildRequires: pkgconfig(gnutls) >= 1.0.0
BuildRequires: pkgconfig(libidn)
BuildRequires: gtk-doc

%description
Loudmouth is a lightweight and easy-to-use C library for programming with the
Jabber protocol. It's designed to be easy to get started with and yet
extensible to let you do anything the Jabber protocol allows.

%package -n %{lib_name}
Summary:	%{summary}
Group:		%{group}

%description -n %{lib_name}
Loudmouth is a lightweight and easy-to-use C library for programming with the
Jabber protocol. It's designed to be easy to get started with and yet
extensible to let you do anything the Jabber protocol allows.

%package -n %{devel_name}
Summary:	Libraries and include files for loudmouth
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	glib2-devel
Obsoletes:	%mklibname -d %{name}- 1 0

%description -n %{devel_name}
Loudmouth is a lightweight and easy-to-use C library for programming with the
Jabber protocol. It's designed to be easy to get started with and yet
extensible to let you do anything the Jabber protocol allows.

This package includes libraries and header files for developing
Loudmouth applications.

%prep
%setup -q

%build
autoreconf -fi
%configure2_5x --enable-gtk-doc --with-asyncns --disable-static --with-compile-warnings=yes
%make

%install
%makeinstall_std

#we dont' want these
find %{buildroot} -name "*.la" -delete

%files -n %{lib_name}
%{_libdir}/*-%{api_version}.so.%{lib_major}{,.*}

%files -n %{devel_name}
%doc README AUTHORS NEWS
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog
* Mon May 09 2016 luigiwalser <luigiwalser> 1.5.3-1.mga6
+ Revision: 1011520
- 1.5.3

* Mon Jan 11 2016 luigiwalser <luigiwalser> 1.5.1-2.mga6
+ Revision: 921824
- rebuild for gnutls

* Sat Jan 02 2016 luigiwalser <luigiwalser> 1.5.1-1.mga6
+ Revision: 918452
- 1.5.1
- new upstream
- remove patches (fixed upstream)

* Wed Oct 15 2014 umeabot <umeabot> 1.4.3-14.mga5
+ Revision: 751252
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.3-13.mga5
+ Revision: 681998
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4.3-12.mga4
+ Revision: 507548
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.4.3-11.mga3
+ Revision: 358952
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 1.4.3-10.mga3
+ Revision: 339962
- patch2: fix build with automake 1.13

* Fri Dec 28 2012 wally <wally> 1.4.3-9.mga3
+ Revision: 335880
- add patch to fix build with new glib
- clean .spec a bit

* Tue Aug 02 2011 fwang <fwang> 1.4.3-8.mga2
+ Revision: 131386
- do not shipp la files

* Mon Jan 24 2011 ahmad <ahmad> 1.4.3-7.mga1
+ Revision: 35841
- drop old/unneeded scriptlets
- imported package loudmouth

